Bug 1280261 - [redhat-support-plugin-rhev] having its files in /usr owner by non-root is not acceptable [NEEDINFO]
[redhat-support-plugin-rhev] having its files in /usr owner by non-root is no...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
3.6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 06:04 EST by Jiri Belka
Modified: 2017-01-30 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Sub-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mkalinin: needinfo? (awels)
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2015-11-11 06:04:32 EST
Description of problem:

having its files in /usr owner by non-root is not acceptable.

# find /usr/share/ovirt-* \( -user ovirt -or -group ovirt \) -ls
677887    0 lrwxrwxrwx   1 ovirt    ovirt          40 Aug 17 13:28 /usr/share/ovirt-engine/redhat-support-plugin-rhev.ear -> redhat-support-plugin-rhev-ear-3.6.0.ear
  9676    4 -rw-r--r--   1 ovirt    ovirt         230 Aug 11 23:44 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/redhatsupportplugin.conf
  9666    4 drwxr-xr-x   3 ovirt    ovirt        4096 Aug 17 13:28 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF
  9667    4 -rw-r--r--   1 ovirt    ovirt         128 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/MANIFEST.MF
  9668    4 -rw-rw-r--   1 ovirt    ovirt         510 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/application.xml
  9670    4 drwxr-xr-x   3 ovirt    ovirt        4096 Aug 17 13:28 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/maven
  9671    4 drwxr-xr-x   3 ovirt    ovirt        4096 Aug 17 13:28 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/maven/com.redhat.gss
  9672    4 drwxr-xr-x   2 ovirt    ovirt        4096 Aug 17 13:28 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/maven/com.redhat.gss/redhat-support-plugin-rhev-ear
  9673    4 -rw-rw-r--   1 ovirt    ovirt         129 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/maven/com.redhat.gss/redhat-support-plugin-rhev-ear/pom.properties
  9674    4 -rw-r--r--   1 ovirt    ovirt        2915 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/maven/com.redhat.gss/redhat-support-plugin-rhev-ear/pom.xml
  9669    4 -rw-rw-r--   1 ovirt    ovirt         183 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/META-INF/jboss-deployment-structure.xml
  9675 24832 -rw-rw-r--   1 ovirt    ovirt    25427719 Aug 11 23:37 /usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.6.0.ear/redhat-support-plugin-rhev-war.war
677888    4 drwxr-xr-x   2 ovirt    ovirt        4096 Aug 17 13:28 /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev
677890    8 -rw-r--r--   1 ovirt    ovirt        6897 Aug 11 23:44 /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html
677889    4 -rw-r--r--   1 ovirt    ovirt         497 Aug 11 23:44 /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev.json


Version-Release number of selected component (if applicable):
redhat-support-plugin-rhev-3.6.0-7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. find /usr/share/ovirt-* \( -user ovirt -or -group ovirt \) -ls
2.
3.

Actual results:
non-root owner files

Expected results:
should be root-owner as anything else

Additional info:
Comment 1 Yaniv Kaul 2017-01-09 04:21:15 EST
Marina, who's handling this?
Comment 2 Alexander Wels 2017-01-30 09:03:45 EST
I am handling this, I am leaving the needinfo here so it will keep nagging me until I fix it.

Note You need to log in before you can comment on or make changes to this bug.